Package org.jbpm.workflow.core.node

## Class BoundaryEventNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.EventNode
      - - org.jbpm.workflow.core.node.BoundaryEventNode

- All Implemented Interfaces:
    `Serializable`, `Contextable`, `ContextResolver`, `Node`, `EventNodeInterface`, `org.kie.api.definition.process.Node`

      public class BoundaryEventNode
      extends EventNode

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoundaryEventNode()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptsEvent​(String type, Object event, Function<String,​Object> resolver)` |
    `void` | `addOutAssociation​(DataAssociation dataAssociation)` |
    `String` | `getAttachedToNodeId()` |
    `List<DataAssociation>` | `getOutAssociations()` |
    `void` | `setAttachedToNodeId​(String attachedToNodeId)` |

    - ### Methods inherited from class org.jbpm.workflow.core.node.EventNode

      `acceptsEvent, addEventFilter, getEventFilters, getEventTransformer, getScope, getType, getVariableName, removeEventFilter, setEventFilters, setEventTransformer, setScope, setVariableName, validateAddIncomingConnection, validateAddOutgoingConnection`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundaryEventNode

          public BoundaryEventNode()

  - ### Method Detail

    - #### getAttachedToNodeId

          public String getAttachedToNodeId()

    - #### setAttachedToNodeId

          public void setAttachedToNodeId​(String attachedToNodeId)

    - #### addOutAssociation

          public void addOutAssociation​(DataAssociation dataAssociation)

    - #### getOutAssociations

          public List<DataAssociation> getOutAssociations()

    - #### acceptsEvent

          public boolean acceptsEvent​(String type,
                                      Object event,
                                      Function<String,​Object> resolver)

      Specified by:
        `acceptsEvent` in interface `EventNodeInterface`
      Overrides:
        `acceptsEvent` in class `EventNode`